#!/bin/sh

QUERY="/path/to/phyloblastpipe/query/input.fa"
export CWD="/path/to/phyloblastparse"
export DIR="/path/to/phyloblastpipe/blast-out-prot"
export ID="0.30" # fraction conserved threshold
export COUNT="1" # species count threshold
export LEN="0.40" # length overlap threshold
export DBS="/path/to/protein/fastafiles/of/blast/databases"
export FASTA="$CWD/fastafiles"

### USER SPECIFY PBS VARIABLES
QUEUE='standard'			# PBS queue
GROUP='group_list=hackettj'		# PBS queue ID
USER='hughesj@email.arizona.edu'	# PBS user id
JTYPE='jobtype=htc_only'			# PBS job type
NCPUS='select=1:ncpus=2:mem=3gb'	# PBS resource request
VMEM='pvmem=3gb'					# PBS resource request
CPUT='cput=144:0:0' 			# PBS resource request
WT='walltime=72:0:0'			# PBS resource request
PLACE='place=pack:shared'		# PBS resource request


for name in `grep ">" $QUERY | sed "s/>//"`; do
	mkdir "$FASTA/$name"
done

cd $DIR
for file in `ls blastout*`; do
	echo "Submitting blast parse"
    	echo $file
    	export FILE=$file

	export BLAST="$DIR/$FILE"
	ONE=`qsub -v CWD,BLAST,FASTA,ID,COUNT,DBS,LEN -N $FILE -e $CWD/pbsout -o $CWD/pbsout -q $QUEUE -W $GROUP -M $USER -l $JTYPE -l $NCPUS -l $CPUT -l $WT -l $VMEM -l $PLACE $CWD/scripts/run_blastparse.sh`

done
echo "All jobs submitted."

