#!/bin/sh

export CWD="/path/to/phyloblastpipe"
export PROGRAM="/path/to/blast/program"
export QUERY="$CWD/query/input.fa"
export DBTYPE="nucl" # of prot depending on blastdb

SCRIPTS="$CWD/scripts"

### USER SPECIFY PBS VARIABLES
NAME='blastn'
export JOBS=23				# number of blast jobs to split the query into nucl=23, prot=53
QUEUE='standard'			# PBS queue
GROUP='group_list=hackettj'		# PBS group id
USER='hughesj@email.arizona.edu'	# PBS user id
JTYPE='jobtype=htc_only'		# PBS job type
NCPUS='select=1:ncpus=12:mem=23gb'	# PBS resource request
CPUT='cput=48:0:0' 			# PBS resource request
WT='walltime=4:0:0'			# PBS resource request

echo "qsub -J 1-$JOBS $SCRIPTS/run_blast.sh"
echo "Submitting a blast array job"
qsub -v CWD,PROGRAM,QUERY,DBTYPE -J 1-$JOBS -N $NAME -q $QUEUE -W $GROUP -M $USER -l $JTYPE -l $NCPUS -l $CPUT -l $WT -e $CWD/pbsout -o $CWD/pbsout $SCRIPTS/run_blast.sh

echo "All jobs submitted."

