#!/usr/bin/perl
use strict;
use warnings;
use Bio::SeqIO;

my $infile = $ARGV[0]; # fasta in
my $outfile = $ARGV[1]; # fasta out
my $max_count = $ARGV[2]; # max sequences to include in outfile

open (OFIL, '>', $outfile) or die "Couldn't open file $outfile: $!\n";

my $count = 0;

my $infileIO = Bio::SeqIO->new(-file => "$infile", -format => 'fasta');
while ( my $resultObj = $infileIO->next_seq()) {
	my $name = $resultObj->display_id();
	my $seq = $resultObj->seq();
	if ($count >= $max_count) {
 		last;
 	}else{
    		$count++;
		print OFIL ">$name\n$seq\n";
    }
}

close OFIL


