#!/bin/bash
### Request email when job begins and ends
#PBS -m bea

cd $CWD

PROGRAM="mafft"
ROUGHOPTS="--retree 0 --reorder --6merpair --averagelinkage"
ACCURATEOPTS="--retree 0 --reorder --globalpair --weighti 0 --gop -2.0 --gep 0.1 --gexp -0.1 --averagelinkage"
IN="$FINALDIR/results/clean"
OUT="$FINALDIR/results/reord"

ACCURATEMAX='500'

cd $IN/$PBS_ARRAY_INDEX

for file in `ls *fa`; do
	#$PROGRAM $SHRTOPTIONS $FADIR/$PBS_ARRAY_INDEX/$file > $OUT/$PBS_ARRAY_INDEX/$file

	#### for running multiple options based on input...
	COUNT=`grep ">" $file | wc -l`
	NL=$'\n'
	COUNT=${COUNT%$NL}

	if [[ $COUNT -gt $ACCURATEMAX ]]
		then $PROGRAM $ROUGHOPTS $FADIR/$PBS_ARRAY_INDEX/$file > $OUT/$PBS_ARRAY_INDEX/$file
		else $PROGRAM $ACCURATEOPTS $FADIR/$PBS_ARRAY_INDEX/$file > $OUT/$PBS_ARRAY_INDEX/$file
	fi
done 

