#!/bin/sh
#PBS -N cat
#PBS -m ea
#PBS -M hughesj@email.arizona.edu
#PBS -W group_list=hackettj

### Set the queue. Options: standard or windfall
#PBS -q standard

### Set the jobtype. Options: serial, htc_only, smp_only, cluster_only
#PBS -l jobtype=htc_only

### Set the number of cpus that will be used.
#PBS -l select=1:ncpus=1:mem=2gb
#PBS -l place=pack:shared

### Specify up to a maximum of 1600 hours total cpu time for 1-processor job (!! cput=ncpus*walltime !!!)
#PBS -l cput=48:0:0

### Specify up to a maximum of 240 hours walltime for the job
#PBS -l walltime=48:0:0

### SPECIFY WORKING DIRECTORIES HERE!!!

INDIR="/path/to/phyloblastparse/fastafiles"
OUTDIR="/path/to/phylopipe/query"

#foreach gene_dir in the indir
cd $INDIR
for gene in `ls $INDIR`; do

	#cat all the files within gene_dir to the outdir
	cat $gene/* > $OUTDIR/$gene.fa

done
